# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-02-04 10:21
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('context', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u4e0a\u4e0b\u6587')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5c5e\u4e3b\u7c7b\u522b')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4e8b\u4ef6',
                'verbose_name_plural': '\u4e8b\u4ef6',
            },
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('name', models.CharField(max_length=64, verbose_name='\u540d\u79f0')),
                ('json_data', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5c5e\u4e3b\u7c7b\u522b')),
            ],
            options={
                'verbose_name': '\u914d\u7f6e',
                'verbose_name_plural': '\u914d\u7f6e',
            },
        ),
        migrations.CreateModel(
            name='Trash',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('object_name', models.CharField(blank=True, max_length=256, null=True, verbose_name='\u540d\u79f0')),
                ('json_data', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u5220\u9664\u65f6\u95f4')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': '\u5783\u573e',
                'verbose_name_plural': '\u5783\u573e',
            },
        ),
        migrations.CreateModel(
            name='VersionHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('object_name', models.CharField(blank=True, max_length=256, null=True, verbose_name='\u540d\u79f0')),
                ('version', models.PositiveIntegerField()),
                ('json_data', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u66f4\u65b0\u65f6\u95f4')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': '\u7248\u672c\u5386\u53f2',
                'verbose_name_plural': '\u7248\u672c\u5386\u53f2',
            },
        ),
        migrations.AlterUniqueTogether(
            name='versionhistory',
            unique_together=set([('content_type', 'object_id', 'version')]),
        ),
        migrations.AlterUniqueTogether(
            name='trash',
            unique_together=set([('content_type', 'object_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='setting',
            unique_together=set([('owner_type', 'owner_id', 'name')]),
        ),
    ]
